Invertase
Invertase

Notice: This documentation is currently a work in progress for the upcoming v6 release and some content may be missing or incomplete. If you're not interested in testing out the alpha version of v6 then please click here to be taken to the v5 documentation.

edit  Edit page
message  Send Feedback

Version 6.x.x

Supported Versions

React Native Firebase requires the following platform versions:

PlatformMinimum Version
React Native0.60.0
Android API16
iOS10

Firebase Modules

Each Firebase module is published as it's own package on NPM can be individually installed using Yarn. Please refer to the quick start guide for installation instructions on each individual module page.

The main package that you interface with is App (@react-native-firebase/app)

ModuleDownloadsCoverage
AdMobDownloadsDownloads
AnalyticsDownloadsDownloads
AppDownloadsDownloads
App IndexingDownloadsDownloads
App InvitesDownloadsDownloads
AuthenticationDownloadsDownloads
Cloud FirestoreDownloadsDownloads
Cloud FunctionsDownloadsDownloads
Cloud MessagingDownloadsDownloads
Cloud StorageDownloadsDownloads
CrashlyticsDownloadsDownloads
Dynamic LinksDownloadsDownloads
In-app MessagingDownloadsDownloads
Instance IDDownloadsDownloads
ML KitDownloadsDownloads
NotificationsDownloadsDownloads
Performance MonitoringDownloadsDownloads
Realtime DatabaseDownloadsDownloads
Remote ConfigDownloadsDownloads
UtilsDownloadsDownloads